testing::internal::FlatTupleBase< FlatTuple< T... >, IndexSequence< Idx... > > Struct Template Reference

`#include <gtest.h>`

Inheritance diagram for testing::internal::FlatTupleBase< FlatTuple< T... >, IndexSequence< Idx... > >:

## Public Types

using | Indices = IndexSequence< Idx... >

## Public Member Functions

| FlatTupleBase ()=default
| FlatTupleBase (T... t)

## Detailed Description

### template<size_t... Idx, typename... T>
struct testing::internal::FlatTupleBase< FlatTuple< T... >, IndexSequence< Idx... > >

Definition at line 7712 of file gtest.h.

## Member Typedef Documentation

## Indices

template<size_t... Idx, typename... T>

using testing::internal::FlatTupleBase< FlatTuple< T... >, IndexSequence< Idx... > >::Indices = IndexSequence<Idx...>

Definition at line 7714 of file gtest.h.

## Constructor & Destructor Documentation

## FlatTupleBase() [1/2]

template<size_t... Idx, typename... T>

testing::internal::FlatTupleBase< FlatTuple< T... >, IndexSequence< Idx... > >::FlatTupleBase | ( |  | ) |

default

## FlatTupleBase() [2/2]

template<size_t... Idx, typename... T>

testing::internal::FlatTupleBase< FlatTuple< T... >, IndexSequence< Idx... > >::FlatTupleBase | ( | T... | t | ) |

inlineexplicit

Definition at line 7716 of file gtest.h.

The documentation for this struct was generated from the following file:

- test/eclipse-cygwin/lib/gtest/gtest.h